{ config, pkgs, inputs, lib, ... }: {
  imports = [
    ./bolty-boot.nix
    ./real-hardware.nix
    ./tailscale-bolty.nix
    ../../server-security.nix
    ../../tailscale.nix
    ../cli.nix
    ./homeassistant.nix
    ./matrix-server.nix
    ./nextcloud.nix
    ./print-server.nix
    ./restic-server.nix
  ];
  services.syncthing = {
    enable = true;
    dataDir = "/data/syncthing";
    openDefaultPorts = true;
    package =
      inputs.nixpkgs-nixos-unstable.legacyPackages."x86_64-linux".syncthing;
  };
  boot.binfmt.emulatedSystems = [ "aarch64-linux" ];
  networking = {
    hostName = "bolty";
    useDHCP = false;
    interfaces.enp4s0.useDHCP = true;
  };
  powerManagement.cpuFreqGovernor = lib.mkDefault "powersave";

  security.allowUserNamespaces = true;

  time.timeZone = "Europe/London";

}
