{ config, pkgs, ... }: {
  networking.hostName = "skinnyv";

  imports = [
    ./hardware-configuration.nix
    ./tailscale-skinnyv.nix
    ../../boot.nix
    ../../common.nix
    ../../gfx-intel.nix
    ../../i3
    ../../tailscale.nix
    ../../distributed-builds.nix
    ../../gui
    ../../git
    ../../backups.nix
  ];

  boot.kernelPackages = pkgs.linuxPackages_latest;
  boot.loader.systemd-boot.enable = true;
  boot.loader.efi.canTouchEfiVariables = true;
  time.timeZone = "Europe/London";

  services.thermald.enable = true;
  home-manager.users.cyryl = { ... }: {
    imports = [ ../../home-manager/programs/kitty.nix ];
  };
}

