{ config, pkgs, ... }: {
  networking.hostName = "thinky";

  imports = [
    ./hardware-configuration.nix
    ./tailscale-thinky.nix
    ../../backups.nix
    ../../boot.nix
    ../../common.nix
    ../../distributed-builds.nix
    ../../gfx-intel.nix
    ../../git
    ../../gui
    ../../i3
    ../../mercurial
    ../../tailscale.nix
  ];

  time.timeZone = "Europe/Warsaw";

  boot.kernelPackages = pkgs.linuxPackages_latest;
  hardware.trackpoint.enable = true;
  services.thermald.enable = true;
  zramSwap = {
    enable = true;
    algorithm = "zstd";
    memoryPercent = 50;
  };
  home-manager.users.cyryl = { ... }: {
    imports = [ ../../home-manager/programs/termite.nix ];
  };
}
